bcr_test_module:
  module_path: examples
  matrix:
    platform:
    - ubuntu2204
    - ubuntu2404
    - macos
    - macos_arm64
    bazel:
    - 8.x
    - 7.x
    # - rolling # TODO: Re-enable next release

  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - '--cxxopt=-std=c++17'
      test_flags:
        - '--cxxopt=-std=c++17'
      build_targets:
      - //...
      test_targets:
      - //...
